<?php 
    $wc_id = get_option("wc_opt_video", 1);
    $caster = new WCCaster($wc_id);
    $wc_video_filename = $caster->flv_filename;
    $wc_cmd_time = $caster->command_time;
    $wc_tye = $caster->type;
    $wc_opt_location = get_option("wc_opt_location");
    switch ($wc_opt_location) {
        case "left":
            $wc_loc_js = "
                \$wc('#wc-video-container').css('left', '15px');";
            break;
        case "right":
            $wc_loc_js = "
                \$wc('#wc-video-container').css('right', '100px');"; 
            break;
        case "center":
            $wc_loc_js = "
                var left = (screen.width/2) - 200;
                \$wc('#wc-video-container').css('right', left+'px');";
            break;
    }
    
?>

<style>
    #wc-video-container-player {

    }

    #wc-video-container {
        display: none;
        z-index: 1000000;
        position: fixed;
        bottom: 0px;
        opacity: 1.0;
        padding-right: 40px;
        bottom: 0px;
    }
    #wc-overlay {
        position:fixed;
        top:0px;
        bottom:0px;
        left:0px;
        right:0px;
        background-color: #7b7b7b;
        opacity: 0.8; display: none;
        z-index: 1001;
    }
    #wc-display-content {
        display: none;
        position: absolute;
        top: 50px;
        <?php
            if ($wc_id == 0)
                echo 'right: 300px';
            else {
                echo 'max-width: 200px;right: -90px';
            }
                
        ?>
    }
    #wc-display-content a {
        color: white;
    }
    #wc-close-button-container {
        position: absolute;
        left: -10px;
        bottom: 25px;
        display: none;
    }
    #wc-close-button {
        width: 23px;
        height: 30px;
        padding: 15px;
        background: url(<?php echo plugins_url( '/jwplayer/close.png', __FILE__ ); ?>) no-repeat left center;
    }
</style>
<?php echo get_option("wc_opt_dimmed") ?  "<div id='wc-overlay'></div>" : ""; ?>
<div id="wc-video-container">
    <div id="wc-video-container-player"></div>
    <div>
        <div id="wc-close-button-container"><a href="javascript:void(0);" id="wc-close-button" title="Close WebCaster" ></a></div>
        <div id="wc-display-content"><?php echo wcaster_get_command_content($wc_tye); ?></div>
        <div style="clear: both;"></div>
    </div>

</div>

<script type="text/javascript">
    var $wc = jQuery.noConflict();
    var cmdShown = false; 
    if (jwplayer.utils.hasFlash()) {
        jwplayer("wc-video-container-player").setup({
            allowfullscreen: false, 
            "controlbar.idlehide": true, 
    		levels: [{ file: "<?php echo plugins_url( $wc_video_filename, __FILE__ );?>" }],
            modes: [   
    			{ type: "flash", src: "<?php echo plugins_url( '/jwplayer/player.swf', __FILE__ ); ?>", config: { wmode: "transparent"}},
    			{ type: "html5"},
                { type: "download" }
            ]
        });
        

        jwplayer().onTime(function(e) {
            if (e.position >= <?php echo $wc_cmd_time; ?> && !cmdShown) {
                $wc("#wc-display-content").show();
                cmdShown = true;            
            }
        });
        jwplayer().onReady(function() {
            
        })
        
        $wc(document).ready(function() {
            <?php echo $wc_loc_js; ?>
            $wc("#wc-close-button").click(function() {
                wcCloseVideo();
            })
            $wc("#wc-overlay").click(function() {
                wcCloseVideo();
            });
            
            $wc("#wc-video-container").mouseenter(function() {
                $wc("#wc-close-button-container").show();
            })
            
            $wc("#wc-video-container").mouseleave(function() {
                $wc("#wc-close-button-container").fadeOut("fast");
            })
        })
        
        function wcPlayVideo() {
            $wc("#wc-overlay").fadeIn("fast");
            $wc("#wc-video-container").fadeIn("fast", function() {
                jwplayer().play();
            })
            
        }
        
        function wcCloseVideo() {
            $wc("#wc-video-container").fadeOut();
            $wc("#wc-overlay").fadeOut();
            $wc("#wc-display-content").hide();
            jwplayer().stop();
        }
        
        function setWcCookie() {
            var exdate=new Date();
            var exdays = 1;
            var c_name = 'wc_button_clicked';
            exdate.setDate(exdate.getDate() + exdays);
            var c_value=escape(1) + ((exdays==null) ? '' : '; expires='+exdate.toUTCString());
            document.cookie=c_name + '=' + c_value;
        }
    } else {
        $wc("#wc-overlay").remove();
    }
</script>


