<?php
require_once("config.php");
class WCCaster {
    public $name;
    public $description;
    public $type;
    public $type_name;
    public $id;
    public $thumb;
    public $command_time;
    public $flv_filename;
    //for video type, 1=BUTTON. 2=FORM (autoresponder form)
    public function __construct($id) {
        
        //get the list of videos
        $wc_videos = self::get_videos();
        $this->description = $wc_videos[$id]["description"];
        $this->type = (int)$wc_videos[$id]["type"];
        $this->type_name = $wc_videos[$id]["type_name"];
        $this->id = $wc_videos[$id]["id"];
        $this->thumb = $wc_videos[$id]["thumb"];
        $this->command_time = $wc_videos[$id]["command_time"];
        $this->flv_filename = $wc_videos[$id]["flv_filename"];
        $this->name = $wc_videos[$id]["name"];
    }
    
    public static function get_videos() {
        $wc_videos = parse_ini_file("config.ini", true);
        return $wc_videos;
    }
    
}

?>